FileControllerCreateFolder Method |
POST /File/Folder
Creates a folder in the application's file system.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpPostAttribute]
[ActionNameAttribute("Folder")]
public IActionResult CreateFolder(
[FromBodyAttribute] CreateFolderOptions options,
Guid? sessionId = null
)<HttpPostAttribute>
<ActionNameAttribute("Folder")>
Public Function CreateFolder (
<FromBodyAttribute> options As CreateFolderOptions,
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpPostAttribute]
[ActionNameAttribute(L"Folder")]
IActionResult^ CreateFolder(
[FromBodyAttribute] CreateFolderOptions^ options,
Nullable<Guid> sessionId = nullptr
)
[<HttpPostAttribute>]
[<ActionNameAttribute("Folder")>]
member CreateFolder :
[<FromBodyAttribute>] options : CreateFolderOptions *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- options
- Type: Dundas.BI.WebApi.ModelsCreateFolderOptions
The options. - sessionId (Optional)
- Type: SystemNullableGuid
ID of the current session.
Return Value
Type:
IActionResult
A
FileData object representing the newly-created folder, or a status code indicating the reason for failure.
See Also